#
# spec file for package sratom
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define soname 0

Name:           sratom
Version:        0.4.6
Release:        4.1
Summary:        A library for serialising LV2 atoms to/from RDF
License:        ISC
Group:          System/Libraries
Url:            http://drobilla.net/software/sratom/
Source0:        http://download.drobilla.net/sratom-%{version}.tar.bz2
BuildRequires:  doxygen
BuildRequires:  graphviz
BuildRequires:  pkg-config
BuildRequires:  python-base
BuildRequires:  pkgconfig(lv2) >= 1.0.0
BuildRequires:  pkgconfig(serd-0) >= 0.14.0
BuildRequires:  pkgconfig(sord-0) >= 0.12.0

%description
A library for serialising LV2 atoms to/from RDF, particularly the Turtle syntax.

%package        -n libsratom-0-%{soname}
Summary:        A library for serialising LV2 atoms to/from RDF
Group:          System/Libraries

%description    -n libsratom-0-%{soname}
A library for serialising LV2 atoms to/from RDF, particularly the Turtle syntax.

%package        -n libsratom-0-devel
Summary:        Development files for libsratom
Group:          Development/Libraries/C and C++
Requires:       libsratom-0-%{soname} = %{version}

%description    -n libsratom-0-devel
Development files for libsratom.

%prep
%setup -q

%build
export CFLAGS='%{optflags}'
export CXXFLAGS='%{optflags}'
./waf configure \
  --prefix=%{_prefix} \
  --libdir=%{_libdir} \
  --docdir=%{_defaultdocdir} \
  --docs
# waf only understands -j, so do not use smp_mflags
./waf build -v %{?jobs:-j%jobs}

%install
./waf install --destdir=%{?buildroot}

%post -n libsratom-0-%{soname} -p /sbin/ldconfig

%postun -n libsratom-0-%{soname} -p /sbin/ldconfig

%files -n libsratom-0-%{soname}
%defattr(0644,root,root,0755)
%doc COPYING NEWS README
%{_libdir}/libsratom-0.so.%{soname}*

%files -n libsratom-0-devel
%defattr(0644,root,root,0755)
%{_libdir}/libsratom-0.so
%{_includedir}/sratom-0/
%{_libdir}/pkgconfig/sratom-0.pc
%{_defaultdocdir}/sratom-0/
%{_mandir}/man3/*

%changelog
* Thu Mar 26 2015 p.drouand@gmail.com
- Update to version 0.4.6
  * Update for latest LV2 Atom Object simplification
  * Don't set eg prefix in sratom_to_turtle
  * Upgrade to waf 1.7.16
* Fri Jul 11 2014 reddwarf@opensuse.org
- Update to 0.4.4
  * Escape invalid characters when writing paths as URIs
  * Fancier printing without subject and predicate
* Thu Sep  5 2013 reddwarf@opensuse.org
- Update to 0.4.2
  * Fix serialisation of nested tuples
  * Fix memory leaks
  * Use new sord API to clean up and shrink code
  * Disable timestamps in HTML documentation for reproducible build
  * Update to waf 1.7.9 and autowaf r90 (install docs to versioned directory)
- Remove sratom-0.4.0-build_compare.patch, applied upstream
- The minimum serd version is now 0.12.0
- The documentation directory is now versioned
* Sun Aug 26 2012 reddwarf@opensuse.org
- Update to 0.4.0
  * Correctly read objects with several rdf:type properties
  * Support writing Object Atoms as top level descriptions if
    subject and predicate are not given.
  * Fix various hyper-strict warnings
  * Upgrade to waf 1.7.2
- Add sratom-0.4.0-build_compare.patch to make build reproducible
* Thu Aug  9 2012 reddwarf@opensuse.org
- First version of the package
